summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:43 -0400
committer David Somero <xgizzmo@slackbuilds.org>2010-05-19 02:34:43 -0400
commit86821463c516142fa561e05ef07aee331522b0c3 (patch)
tree1f131d5322970fd1291720f7a4148ff6f8366af4
parent40c5dc224483f8a3b008e874b823a2334d8f3213 (diff)
downloadslackbuilds-86821463c516142fa561e05ef07aee331522b0c3.tar.gz
slackbuilds-86821463c516142fa561e05ef07aee331522b0c3.tar.xz
games/supertuxkart-extra-karts: Fixed for bash4.
-rw-r--r--games/supertuxkart-extra-karts/supertuxkart-extra-karts.SlackBuild8
1 files changed, 2 insertions, 6 deletions
diff --git a/games/supertuxkart-extra-karts/supertuxkart-extra-karts.SlackBuild b/games/supertuxkart-extra-karts/supertuxkart-extra-karts.SlackBuild
index f68008bd02..ce88b92d5e 100644
--- a/games/supertuxkart-extra-karts/supertuxkart-extra-karts.SlackBuild
+++ b/games/supertuxkart-extra-karts/supertuxkart-extra-karts.SlackBuild
@@ -35,12 +35,8 @@ find . \
install -d -m 0755 $PKG/usr/share/supertuxkart/data
cp -ar $SRCNAM $PKG/usr/share/supertuxkart/data
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# Remove MacOSX specific files and misc. cleanup.
find $PKG -name ".DS_Store" -exec rm -f {} \;